<template>
<v-container grid-list-md >
  <v-layout>
    <v-flex xs12>
      <v-card>
        <v-card-title primary-title>
          <div>
            <h3>About RP Codes</h3>
            <p>
              Hello, I'm Rick Page, owner of RP Codes, LLC.
              I provide consultation and software engineering services.
              I implement software solutions for businesses and researchers
              on Linux, Android and the Web. I have created many websites,
              web apps, Android apps, system designs, and simulations.
              My diverse experience gives me useful insight into building
              complex, distributed software / systems.
             </p>
          </div>
        </v-card-title>
      </v-card>
    </v-flex>
</v-layout>
<v-layout v-bind="binding" >
    <v-flex xs12 md6>
      <v-card>
        <v-card-media src="/public/network.jpg" height="120px">
        </v-card-media>
        <v-card-title primary-title>
          <div>
            <h3>Experience</h3>
            <p>
              To see some of my core competencies and past project history, visit
              this section.
             </p>
             <p>If you are looking to bring a freelancer onto your existing team,
               you may also want to view my Resume.
             </p>
          </div>
        </v-card-title>
        <v-card-actions>
          <v-btn color="primary" to="experience">Experience</v-btn>
          <v-btn color="info" :href="resume_pdf">
            <span> PDF Resume</span>
            <v-icon>file_download</v-icon>
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-flex>
      <v-flex xs12 md6>
        <v-card>
          <v-card-media src="/public/binder.jpg" height="180px">
          </v-card-media>
          <v-card-title primary-title>
            <div>
              <h3>Portfolio</h3>
              <p>
                A few examples of work I have done or small projects on the side.
                 Includes links to source where permitted/applicable.
               </p>
            </div>
          </v-card-title>
          <v-card-actions>
            <v-btn to="portfolio" color="success">Portfolio</v-btn>
          </v-card-actions>
        </v-card>
      </v-flex>
    </v-layout>>
    <v-layout>
      <v-flex>
        <v-card class="accent">
          <v-card-title>
            If you have a project in mind or just want to know how I can improve your business,
            get in touch.
            <v-btn class="primary" :href="contact.wrap_href" :key="i" v-for="(contact,i) in contact_items">
              {{ contact.title }}
            </v-btn>
            <!-- The images are under creative commons license.
            <v-btn small >More info</v-btn> -->
          </v-card-title>
        </v-card>
      </v-flex>
    </v-layout>
</v-container>
</template>

<script>
export default {
  name: 'Introduction',
  data () {
    return {
      msg: '',
      resume_pdf: '/public/pdf/resume2018.pdf',
      contact_items: [
        { icon: 'phone', title: '+1 (732) 703-7993', subtitle: "Call", wrap_href: "tel:+17327037993" },
        { icon: 'email', title: 'admin@rpcodes.biz', subtitle: "E-Mail", wrap_href: "mailto:admin@rpcodes.biz", iscontactform: false },
        //{ icon: 'announcement', title: 'Contact Form', subtitle: "Quickly send a message.", iscontactform: true },
      ],
    }
  },
  computed: {
    binding () {
      // change to row on md breakpoint
      const binding = {}

      if (this.$vuetify.breakpoint.mdAndDown) binding.column = true

      return binding
    },
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h1, h2 {
  font-weight: normal;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
